Allow cross-wiki target for MediaWiki's feedback tool
Closed, ResolvedPublic

Description

The feedback tool for VisualEditor needs to direct editors to a centralized location, for some wikis, per T92661: Plan to redirect inactive VisualEditor feedback pages for some wikis to mediawiki.org.
Therefore, it needs to be possible to set an interwiki link as the destination. The destination is set via [[mediawiki:Visualeditor-feedback-link]]
This does not currently work.

E.g. The link at testwiki is set to direct feedback to mediawiki.org's VE feedback pages, mw:VisualEditor/Feedback (as desired)
https://test.wikipedia.org/wiki/MediaWiki:Visualeditor-feedback-link
but when I submit feedback using the tool
https://test.wikipedia.org/wiki/User:Quiddity/sandbox?veaction=edit
I get an error message:



webconsole:
Feedback report failed because MessagePoster could not be fetched load.php:156:550


This is followup work to T91805: T7. Flow support for the mediawiki.feedback form

Quiddity created this task.Sep 5 2015, 12:42 AM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2015, 12:42 AM
Elitre added a subscriber: Elitre.Sep 7 2015, 11:22 AM
DannyH triaged this task as Normal priority.Sep 9 2015, 5:43 PM
DannyH set Security to None.

Change 258186 had a related patch set uploaded (by Legoktm):
mw.messagePoster: Support foreign wikis

https://gerrit.wikimedia.org/r/258186

Change 258188 had a related patch set uploaded (by Legoktm):
mw.Feedback: Support leaving feedback on foreign wikis

https://gerrit.wikimedia.org/r/258188

Change 258186 merged by jenkins-bot:
mw.messagePoster: Support foreign wikis

https://gerrit.wikimedia.org/r/258186

Change 258188 merged by jenkins-bot:
mw.Feedback: Support leaving feedback on foreign wikis

https://gerrit.wikimedia.org/r/258188

Change 258194 had a related patch set uploaded (by Legoktm):
Update messagePoster implementation for foreign wiki support

https://gerrit.wikimedia.org/r/258194

Change 258194 merged by jenkins-bot:
Update messagePoster implementation for foreign wiki support

https://gerrit.wikimedia.org/r/258194

Legoktm closed this task as Resolved.Dec 10 2015, 7:40 PM